# teritorio: ISO codes for countries and currencies

[![tests][test_badge]][test_url]
[![license][licence_badge]][licence_url]
[![pypi][pypi_badge]][pypi_url]
[![downloads][pepy_badge]][pepy_url]
[![code style: black][black_badge]][black_url]
[![build automation: yam][yam_badge]][yam_url]
[![Lint: ruff][ruff_badge]][ruff_url]

`teritorio` two iterable singletons that `Countries` and `Currencies`,
that contain all the relevant ISO information about countries and
currencies, respectively.

## Versioning

The project project adheres to [Calendar Versioning](https://calver.org). The reason is that the data are
dominated by political decisions, making semantic versioning largely irrelevant.

## Links

- [Documentation]
- [Changelog]

[test_badge]: https://github.com/spapanik/teritorio/actions/workflows/tests.yml/badge.svg
[test_url]: https://github.com/spapanik/teritorio/actions/workflows/tests.yml
[licence_badge]: https://img.shields.io/badge/License-LGPL_v3-blue.svg
[licence_url]: https://github.com/spapanik/teritorio/blob/main/docs/LICENSE.md
[pypi_badge]: https://img.shields.io/pypi/v/teritorio
[pypi_url]: https://pypi.org/project/teritorio
[pepy_badge]: https://pepy.tech/badge/teritorio
[pepy_url]: https://pepy.tech/project/teritorio
[black_badge]: https://img.shields.io/badge/code%20style-black-000000.svg
[black_url]: https://github.com/psf/black
[yam_badge]: https://img.shields.io/badge/build%20automation-yamk-success
[yam_url]: https://github.com/spapanik/yamk
[ruff_badge]: https://img.shields.io/endpoint?url=https://raw.githubusercontent.com/charliermarsh/ruff/main/assets/badge/v1.json
[ruff_url]: https://github.com/charliermarsh/ruff
[Documentation]: https://teritorio.readthedocs.io/en/stable/
[Changelog]: https://github.com/spapanik/teritorio/blob/main/docs/CHANGELOG.md
[Calendar Versioning]: https://calver.org
